- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MethodLocationPatternConverter Class Reference

Inherits LoggingEventPatternConverter.

List of all members.

## Detailed Description

Return the event's line location information in a StringBuffer.

## Public Member Functions
void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
| Formats an event into a string buffer.
## Static Public Member Functions
static PatternConverterPtr | newInstance (const std::vector< LogString > &options)
| Obtains an instance of MethodLocationPatternConverter.

## Member Function Documentation

void format | ( | const log4cxx::spi::LoggingEventPtr & | event,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) | const`[virtual]`

  | Formats an event into a string buffer. Parameters:
  | event | event to format, may not be null.
  | toAppendTo | string buffer to which the formatted event will be appended. May not be null.
  | p | pool for memory allocations needing during format.
Implements LoggingEventPatternConverter.

static PatternConverterPtr newInstance | ( | const std::vector< LogString > & | options | ) | `[static]`

  | Obtains an instance of MethodLocationPatternConverter. Parameters:
  | options | options, may be null.
Returns: instance of MethodLocationPatternConverter.

The documentation for this class was generated from the following file:

- methodlocationpatternconverter.h